﻿var simultaneous_popups = 3;

var configs = [
  {
    title: '事实证明',
    content: `
      <p>就算你很努力的点击.</p>
      <p>你也得不到你想要的结果！</p>
      <p>
        要不给我来个e-mail？
        <input type="email">
      </p>
    `,
    primary: '发送',
    secondary: '滚犊子',
    background: '#ccc',
    border: '2px solid #333'
  },
  {
    title: '这没什么好看的',
    content: `
      <iframe width="560" height="315" src="https://www.youtube.com/embed/6TcRjxPyhv0?rel=0" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>
    `,
    primary: '继续',
    secondary: '不玩了',
    background: '#ffff00',
    border: '5px solid #c00'
  },
  {
    title: '如果你觉得这页面不错的话',
    content: `
      <p>可以去SBKKO资源网下载.</p>
      <p>感谢您的坚持！我们继续吧~~</p>
      <p>Thanks!</p>
    `,
    primary: '好的',
    secondary: '我不玩了',
    background: '#fff',
    border: '1px solid #00c'
  },
  {
    title: '要不先关注一下我们？',
    content: `
      <p>www.sbkko.com,值得你收藏！</p>
      <p>收藏完了，我们继续吧！</p>
    `,
    primary: '<img src="https://upload.wikimedia.org/wikipedia/commons/d/df/Facebook_logo_thumbs_up_like_transparent_SVG.svg" style="height: 1em;" /> 点赞',
    secondary: '滚犊子',
    background: '#fff',
    border: '10px solid #00c'
  },
  {
    title: '你确定你还要继续吗？',
    content: `
      <p>继续坚持吧，因为只需要点击100次，就能结束看到里面的内容！真的</p>
    `,
    primary: '继续',
    secondary: '肯定是忽悠我',
    background: '#ccc',
    border: '1px solid #333'
  },
  {
    title: '你知道吗？',
    content: `
      <p>其实我有点好奇，你可以坚持点击多久？我们继续吧！</p>
    `,
    primary: '好的',
    secondary: '我不玩了',
    background: '#ccc',
    border: '1px solid #333'
  },
  {
    title: '有时候...',
    content: `
      <div style="color: #fff;">
        <p>就算你不想玩了，也不是不可以</p>
        <p>我可以告诉你怎么关闭，当然你可以直接F4</p>
        <p>然而这样，你就看不到首页内容了</p>
      </div>
    `,
    primary: 'Ok, 我们继续',
    secondary: '取消也是没有用的...',
    background: '#c00',
    border: '10px solid #000'
  },
  {
    title: '这是一句标题',
    content: `
      <p>这是一段永无止境的语句，为什么？</p>
      <p>因为你需要点击下面的按钮，我才能告诉你！</p>
    `,
    primary: '好的',
    secondary: '我不同意',
    background: '#ccccff',
    border: '1px solid #000'
  },
  {
    title: '其实我也很纠结',
    content: `
      <p>有时候为了能看到里面的内容.</p>
      <p>我们往往会付出很多，尽管有时候得不到回报，但也阻挡不了我们继续点击的心</p>
    `,
    primary: '继续',
    secondary: '不继续',
    background: '#ccccff',
    border: '1px solid #000'
  }

];

function getRandomConfig () {
  return configs[Math.floor(Math.random() * configs.length)];
}

function rnd (min, max) {
  return Math.round(min + (Math.random() * (max - min)));
}

function createPopup (config) {
  var left = rnd(5, 20);
  var top = rnd(5, 20);
  var bottom = rnd(5, 20);
  var right = rnd(5, 20);

  var element = document.createElement('div');
  element.innerHTML = `
    <div class="popup" style="top: ${top}vh; left: ${left}vw; bottom: ${bottom}vw; right: ${right}vw; background: ${config.background}; border: ${config.border}">
      <h2>${config.title}</h2>
      <div class="popup_content">${config.content}</div>
      <div class="popup_buttons">
        <button class="primary">${config.primary}</button>
        <button class="secondary">${config.secondary}</button>
      </div>
      <div class="popup_close" title="Close this annoying popup">&times;</div>
    </div>
  `;
  element.querySelectorAll('.popup_close, .primary, .secondary').forEach(function (clickable_element) {
    clickable_element.addEventListener('click', function () {
      element.parentNode.removeChild(element);
      createPopup(getRandomConfig());
    })
  });

  var popups_element = document.querySelector('#popups');
  popups_element.insertBefore(element, popups_element.firstChild);
}

for (var i = 0; i < simultaneous_popups; i++) {
  createPopup(getRandomConfig());
}